summaryrefslogtreecommitdiff
path: root/libexec
diff options
context:
space:
mode:
Diffstat (limited to 'libexec')
-rwxr-xr-xlibexec/appstore-init-server50
1 files changed, 50 insertions, 0 deletions
diff --git a/libexec/appstore-init-server b/libexec/appstore-init-server
new file mode 100755
index 0000000..1417469
--- /dev/null
+++ b/libexec/appstore-init-server
@@ -0,0 +1,50 @@
+#!/bin/bash
+
+set -e
+set -u
+
+APPSTORE_HOME=$(cd $(dirname "$0")/.. && pwd)
+
+. $APPSTORE_HOME/lib/common
+# HEADER END
+
+root=$1; shift
+name=$1; shift
+
+echo "Creating appstore $name"
+
+repo="$root/repos/$name"
+apps="$root/appstores/$name"
+
+if [ -e "$repo" ]
+then
+ echo "$name already exist!"
+ exit 1
+fi
+
+# Create the git repository
+git init -q --bare "$repo"
+
+# Clone the repository
+git init -q "$apps"
+cd "$apps"
+
+# Copy the template project
+cp -r "$APPSTORE_HOME/template/"* .
+git add -A
+git config user.name "Appstore Bot"
+git config user.email nobody@example.org
+git commit -q -m "Created new appstore: $name."
+git push -q "$repo" master
+cd ..
+
+# Install the hooks
+cd "$repo"
+pwd
+rm hooks/*
+rmdir hooks
+ln -s "$APPSTORE_HOME/hooks" hooks
+git config appstore.home "$APPSTORE_HOME"
+git config appstore.apps "$apps"
+
+echo "config: repo.path=$repo"